Bug 245916 - system-config-samba still uses old gtk-fileselector
Summary: system-config-samba still uses old gtk-fileselector
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-27 12:36 UTC by drago01
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.2.44-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 19:24:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to support new filechooser (1.42 KB, patch)
2007-06-27 12:36 UTC, drago01
no flags Details | Diff
fixed patch (1.47 KB, patch)
2007-06-27 12:39 UTC, drago01
no flags Details | Diff

Description drago01 2007-06-27 12:36:11 UTC
Description of problem:

system-config-samba still uses the old gtk fileselector while system-config-nfs
uses the new one. I have ported the code from system-config-nfs to
system-config-samba. (patch attached)
Can you apply this patch to system-config-samba ?

I tested it and it works fine here.

Comment 1 drago01 2007-06-27 12:36:11 UTC
Created attachment 157997 [details]
patch to support new filechooser

Comment 2 drago01 2007-06-27 12:39:07 UTC
Created attachment 157998 [details]
fixed patch

here again uses the correct string to pick up the translation.

Comment 3 Nils Philippsen 2007-06-27 13:01:34 UTC
applied slightly changed(*) patch to upstream CVS

(*): removed bogus "dlg = gtk.FileSelection()" line

Comment 4 Nils Philippsen 2007-06-27 13:14:37 UTC
system-config-samba-1.2.44-1.fc7 contains the patch and should hit
updates-testing shortly.

Comment 5 Fedora Update System 2007-06-28 01:46:57 UTC
system-config-samba-1.2.44-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-05 19:24:08 UTC
system-config-samba-1.2.44-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.